#pragma once

#include "MyImage.h"

class ImProcessor
{
public:
	ImProcessor(void);
	~ImProcessor(void);
	static void toGrayScale(MyImage& myImage);
	static void filter(MyImage& myImage, double * kernel, int kernelSize);
	static void blur(MyImage & myImage);
	static void gaussianBlur(MyImage & myImage);
	static void ImProcessor::gaussianBlur5Sigma1_0(MyImage & myImage);
	static void ImProcessor::gaussianBlur9Sigma2_0(MyImage & myImage);
	static void ImProcessor::gaussianBlur15Sigma4_0(MyImage & myImage);
	static void laplacian(MyImage & myImage, int component);
	static void laplacianOfGaussian(MyImage & myImage, int component);
	static void edgeDetector(MyImage & myImage, int component);

};

